Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.handler.rewrite
Class LowThreadsRuleContainer

    java.lang.Object
      org.mortbay.jetty.handler.rewrite.Rule
          org.mortbay.jetty.handler.rewrite.RuleContainer
              org.mortbay.jetty.handler.rewrite.LowThreadsRuleContainer

    public class LowThreadsRuleContainer

extends RuleContainer

`RuleContainer` for when the `ThreadPool` is low on threads

Author:
  joakime

Field Summary

Fields inherited from class org.mortbay.jetty.handler.rewrite.RuleContainer
`_handled, _legacy, _originalPathAttribute, _rewritePathInfo, _rewriteRequestURI, _rules`

Fields inherited from class org.mortbay.jetty.handler.rewrite.Rule
`_handling, _terminating`

Constructor Summary
`LowThreadsRuleContainer()`

Method Summary
`Server` | `getServer()`
`ThreadPool` | `getThreadPool()`
`java.lang.String` | `matchAndApply(java.lang.String target, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Process the contained rules if the threadpool is low on threads
`void` | `setServer(Server server)`
`void` | `setThreadPool(ThreadPool pool)`

Methods inherited from class org.mortbay.jetty.handler.rewrite.RuleContainer
`addRewriteRule, addRule, apply, getOriginalPathAttribute, getRewrite, getRules, isHandled, isRewritePathInfo, isRewriteRequestURI, setHandled, setLegacyRule, setOriginalPathAttribute, setRewrite, setRewritePathInfo, setRewriteRequestURI, setRules`

Methods inherited from class org.mortbay.jetty.handler.rewrite.Rule
`isHandling, isTerminating, setHandling, setTerminating, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LowThreadsRuleContainer

    public LowThreadsRuleContainer()

Method Detail

### getServer

    public Server getServer()

### setServer

    public void setServer(Server server)

### getThreadPool

    public ThreadPool getThreadPool()

### setThreadPool

    public void setThreadPool(ThreadPool pool)

### matchAndApply

    public java.lang.String matchAndApply(java.lang.String target,
                                          javax.servlet.http.HttpServletRequest request,
                                          javax.servlet.http.HttpServletResponse response)
                                   throws java.io.IOException

  Process the contained rules if the threadpool is low on threads

  Overrides:
    `matchAndApply` in class `RuleContainer`
  Parameters:
    `target` - target field to pass on to the contained rules
    `request` - request object to pass on to the contained rules
    `response` - response object to pass on to the contained rules
  Returns:
    The new target if the rule has matched, else null
  Throws:
    `java.io.IOException` - TODO

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.